package com.zhiwei.util;

import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.util.Properties;

/**
 * 配置读取
 * 
 * @author admin
 *
 */
public class Config {
	public static Properties p = new Properties();
	static {
		String fileurl = Config.class.getClassLoader().getResource("datasource.properties").getPath();
		p = new Properties();
		try {
			InputStreamReader in = new InputStreamReader(new FileInputStream(fileurl), "utf-8");
			p.load(in); /// 加载属性列表
			in.close();
		} catch (Exception e) {

		}
	}

	public static String getVal(String key) {
		return p.getProperty(key);
	}
}
